#ifndef MARS_MHCerPhotEvt
#define MARS_MHCerPhotEvt

#ifndef MARS_MH
#include "MH.h"
#endif

#ifndef MARS_MCerPhotEvt
#include "MCerPhotEvt.h"
#endif

class TH1D;

class MHCerPhotEvt : public MH
{
private:
    MCerPhotEvt  fSum;
    MCerPhotEvt *fEvt; //!

public:
    MHCerPhotEvt(const char *name=NULL, const char *title=NULL);

    Bool_t SetupFill(const MParList *pList);
    Bool_t Fill(const MParContainer *par);

    TH1 *GetHistByName(const TString name) { return NULL; }

    const MCerPhotEvt &GetSum() const { return fSum; }

    ClassDef(MHCerPhotEvt, 1) // Container which holds histograms for the source independent image parameters
};

#endif
